seo:
  title: 'Continuous integration: A tool developers expect'
  description: >-
    77% of developers say Continuous Integration is integral to their everyday
    work – we break down what that means.
  ogTitle: 'Continuous integration: A tool developers expect'
  ogDescription: >-
    77% of developers say Continuous Integration is integral to their everyday
    work – we break down what that means.
  noIndex: false
  ogImage: images/blog/hero-images/ci-nice-to-have-post.png
  ogUrl: https://about.gitlab.com/blog/ci-integral-to-everyday-work
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/ci-integral-to-everyday-work
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Continuous integration: A tool developers expect",
            "author": [{"@type":"Person","name":"Rebecca Dodd"}],
            "datePublished": "2017-02-22",
          }

content:
  title: 'Continuous integration: A tool developers expect'
  description: >-
    77% of developers say Continuous Integration is integral to their everyday
    work – we break down what that means.
  authors:
    - Rebecca Dodd
  heroImage: images/blog/hero-images/ci-nice-to-have-post.png
  date: '2017-02-22'
  body: >


    What is continuous integration? Continuous integration is the practice that
    developers use to detect, locate and fix errors quickly by integrating their
    code frequently into a shared repository and is becoming a non-negotiable
    aspect of everyday work.


    <!-- more -->


    [Continuous integration (CI)](/features/continuous-integration/) automates
    testing of new code, sparing developers the time-consuming task of checking
    it manually, and with increasing numbers of companies using this approach
    every day, CI is essential to staying competitive and to retaining your
    talent.


    Our [Global Developer
    Report](https://page.gitlab.com/2016-developer-survey_2016-developer-survey.html)
    was launched last year to explore the ways in which developers work is
    changing, and how you as a business can adapt to get the best out of your
    development team. With a developer-heavy sample (more than half of
    respondents identify as developer or engineer), the survey revealed some
    truths about what matters to developers, how they choose to work and what
    tools they choose to do it with. To see what our research revealed, you can
    [download the full
    report](https://page.gitlab.com/2016-developer-survey_2016-developer-survey.html)
    to learn more about what today’s developers want.


    One of the key takeaways from the survey is that continuous integration and
    continuous integration tools now plays a crucial part in daily work, and is
    becoming more and more important to delivering great features frequently. CI
    frees up time that would otherwise be spent on finding and fixing errors,
    and it decreases the chance of shipping code that isn’t ready.


    ![How much Continuous Integration is
    used](https://about.gitlab.com/images/blogimages/ci-tool-developers-expect.png){:
    .shadow}<br>


    ## CI is used by more than half of developers


    DevOps continuous integration is becoming more mainstream. Developers are
    now using it more than 75 percent of the time. More than 20 percent use it
    nearly 100 percent of the time, with only 4 percent not using continuous
    integration at all. The trend is clear: Continuous integration is becoming
    increasingly important.


    ## CI makes best use of your team’s time


    There are many benefits of continuous integration. Deploying untested code
    means time is wasted on backtracking to find and fix bugs. Nearly 54 percent
    of our respondents work on a developer team of fewer than 10, so any
    resources spent on tasks that could be automated has a huge impact. Adopting
    continuous integration means new code is automatically tested for errors, so
    your developers spend less time on dull, manual testing and can focus on the
    work that inspires them – like building great new features.


    ## 77 percent of developers think CI is essential


    They rated continuous integration and continuous integration tools as very
    or extremely important to their everyday work. If this trend is to continue,
    CI will soon be an essential element of your software development lifecycle,
    and companies that are resistant to adopting it may find their development
    team growing restless: 36 percent of developers said they would turn down a
    job if the company did not use the latest tools.


    ## Continuous methods aren’t just for developers

    We’ve come a long way since a release consisted of distributing CDs to
    retailers, and it’s not just developers who are changing their methods. The
    practice of working continuously – releasing in small, manageable iterations
    often and integrating feedback and changes frequently – is something
    everyone in a company can adopt, to work more efficiently and
    collaboratively. Watch our webcast to explore in more detail how the
    continuous approach can help you deliver customer value at the pace it takes
    to complete.


    <p class="alert alert-orange" style="background-color: rgba(252,163,38,.3);
    border-color: rgba(252,163,38,.3); color: rgb(226,67,41) !important;
    text-align: center;">Watch our webcast &nbsp;&nbsp;<i class="fab fa-gitlab"
    style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>
    &nbsp;&nbsp;<strong>From Continuous Integration to Continuous
    Everything</strong> &nbsp;&nbsp;<i class="fab fa-gitlab"
    style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i> <a
    style="color: rgb(107,79,187);"
    href="https://page.gitlab.com/20170301_continuouseverything.html">Register
    here</a>!</p>


    _Tweet us [@GitLab](https://twitter.com/gitlab), check out our [job
    openings](/jobs/), or add your questions and suggestions to our [issue
    tracker](https://gitlab.com/gitlab-org/gitlab-ce/issues)!_
  category: Insights
config:
  slug: ci-integral-to-everyday-work
  featured: false
  template: BlogPost
